/** \file ir_car_mp3.h
 * \brief     INCAR MP3
 * \author ARV
 * \date	12  2017 .
 * \copyright Copyright 2015  ARV. All rights reserved.
 *
 *   :\n
 * 	-# AVR GCC 5.2.1    
 *
 */

#ifndef IR_CAR_MP3_H_
#define IR_CAR_MP3_H_

#define IR_CH				0xFF629d
#define IR_CH_PLUS			0xFFe21d
#define IR_CH_MINUS			0xFFa25d
#define IR_NEXT				0xFF02fd
#define IR_PREV				0xFF22dd
#define IR_PLAY_PAUSE		0xFFc23d
#define IR_VOL_PLUS			0xFFa857
#define IR_PLUS				0xFFa857
#define IR_VOL_MINUS		0xFFe91f
#define IR_MINUS			0xFFe91f
#define IR_NUM_0			0xFF6897
#define IR_NUM_1			0xFF30cf
#define IR_NUM_2			0xFF18e7
#define IR_NUM_3			0xFF7a85
#define IR_NUM_4			0xFF10ef
#define IR_NUM_5			0xFF38c7
#define IR_NUM_6			0xFF5aa5
#define IR_NUM_7			0xFF42bd
#define IR_NUM_8			0xFF4ab5
#define IR_NUM_9			0xFF52ad

#define IR_EQ				0xFF906f
#define IR_NUM_PLUS100		0xFF9867
#define IR_FOL_PLUS			0xFF9867
#define IR_NUM_PLUS200		0xFFb04f
#define IR_FOL_MINUS		0xFFb04f

#endif /* IR_CAR_MP3_H_ */
